commit 725244355f83de56f8692abc6c0e1b3d4d248198
Author: Richard Biener <rguenther@suse.de>
Date:   Tue Nov 3 10:24:02 2020 +0100

    testsuite/97688 - fix check_vect () with __AVX2__
    
    This fixes the cpuid check to always specify a subleaf zero
    which is required to detect AVX2 and doesn't hurt for level one.
    Without this fix we get zero runtime coverage when -mavx2 is
    specified.
    
    2020-11-03  Richard Biener  <rguenther@suse.de>
    
            PR testsuite/97688
            * gcc.dg/vect/tree-vect.h (check_vect): Fix the x86 cpuid
            check to always specify subleaf zero.
    
    (cherry picked from commit 8414529156e0bca37647c440c71beeca1d04ac86)

diff --git a/gcc/testsuite/gcc.dg/vect/tree-vect.h b/gcc/testsuite/gcc.dg/vect/tree-vect.h
index 5d8d9eba3f8..c4b81441216 100644
--- a/gcc/testsuite/gcc.dg/vect/tree-vect.h
+++ b/gcc/testsuite/gcc.dg/vect/tree-vect.h
@@ -52,7 +52,7 @@ check_vect (void)
     want_level = 1, want_d = bit_SSE2;
 # endif
 
-    if (!__get_cpuid (want_level, &a, &b, &c, &d)
+    if (!__get_cpuid_count (want_level, 0, &a, &b, &c, &d)
 	|| ((b & want_b) | (c & want_c) | (d & want_d)) == 0)
       exit (0);
   }

